- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TInvalidPropertyException
TLazyLoadList
TObjectProxy
TPropertyAccess
TSqlMapApplicationCache
TSqlMapCache
TSqlMapConfig
TSqlMapConfigurationException
TSqlMapDuplicateException
TSqlMapException
TSqlMapExecutionException
TSqlMapFifoCache
TSqlMapGateway
TSqlMapLruCache
TSqlMapManager
TSqlMapPagedList
TSqlMapTypeHandler
TSqlMapTypeHandlerRegistry
TSqlMapUndefinedException

Keyword

# Class TSqlMapLruCache

    TSqlMapCache
       |
       --TSqlMapLruCache

Least recently used cache implementation, removes object that was accessed last when the cache is full.

Since: 3.1
Author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Method Summary
mixed | get ( mixed $key)
void | set ( string $key, mixed $value, mixed $expire, mixed $dependency) Stores a value identified by a key into cache.

Methods Inherited From TSqlMapCache
TSqlMapCache::add(), TSqlMapCache::delete(), TSqlMapCache::flush(), TSqlMapCache::getCacheSize(), TSqlMapCache::setCacheSize()

Method Details

## get

public mixed get | (mixed $key )

Input
mixed | $key |
Output
mixed | Gets a cached object with the specified key.
Exception

## set

public void set | (string $key , mixed $value , mixed $expire , mixed $dependency )

Stores a value identified by a key into cache.

The expire and dependency parameters are ignored.

Input
string | $key | the key identifying the value to be cached
mixed | $value | the value to be cached
mixed | $expire |
mixed | $dependency |
Output
Exception